# Azure AI Search Vector Database Provider

## Overview

This Drupal module provides integration with Azure AI search
service. It includes features for inserting, deleting, and managing vector data.

## Requirements

- Access to Azure AI Search
- [Azure AI](https://www.drupal.org/project/ai_provider_azure) provider module (if you need to use RAG approach)
- Pre-created index on Azure AI Search using the JSON provided in [index json](docs/index.json)

## Installation

1. First of all, [create an index](https://learn.microsoft.com/en-us/azure/search/search-how-to-create-search-index?tabs=portal) in the Azure AI Search service using the [provided json](docs/index.json) as a starting point.
2. (In Drupal) Enable this module (which requires the AI and Search API modules)
4. (In Drupal) Create a new Search API Server, select Azure AI Search as the backend, add URL, API key and select the API version you want to use. Provide the same index name as that created in Azure AI search.
5. (In Drupal) Set up AI Search as desired (see AI Search documentation).
